@import url('https://fonts.googleapis.com/css2?family=Cause:wght@100..900&display=swap');
body, main, section{
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	row-gap: 10px;
}
button{
	height: 10.88dvh;
	width: 43.6dvw;
	background: blue;
	border: none;
	border-radius: 1000px;
	font-size: 1.375rem;
	font-weight: bold;
	color: white;
	text-shadow: 0 0 10px white;
	box-shadow: 0 0 10px lightblue;
	transition: all 0.2s linear;
}
button:active{
	box-shadow: none;
	text-shadow: none;
}
button:hover{
	box-shadow: 0 0 15px lightblue;
	text-shadow: 0 0 15px white;
}
body{
	height: 100dvh;
	background: url("https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTyVouZgHUbs_4xl6eSF6fcbCAMKwlWmzpMClifC0Y_lw&s=10");
	background-position: center;
	background-size: cover;
}
#c{
	row-gap: 0;
	height: 10.8dvh;
	width: 72.6dvw;
	border-radius: 10px;
	background: #00000000;
	border: solid black;
	color: white;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	text-shadow: 0 0 5px red;
}
#c>*{
	padding-top: 0;
}
h1{
	color: white;
	font-style: italic;
}
#xy{
	flex-direction: row;
	column-gap: 10px;
}
#xy div{
	column-gap: 10px;
}
img{
	width: 5.81dvw;
}
#rgba, #hex{
	display: flex;
	flex-direction: row;
}
#X, #Y{
	display: flex;
	flex-direction: column;
}
p{
	margin-top: 0;
	color: purple;
	font-weight: bold;
	text-shadow: 0 0 5px blue;
}
footer p{
	font-family: "Cause", cursive;
	color: white;
	text-shadow: none;
}
a{
	color: black;
}
img, canvas{
	cursor: pointer;
}